# Namespace: snet

## snet

Library for building semantic networks.

Source:
  - snet.maia, line 21

### Methods

#### (static) dlfFileToJson(fileContents, properties, topology, weighted, network) → {object}

Convert a file in DLF format to JSON.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fileContents` | string | DLF file contents.
`properties` | object | Network properties (n, m and directed).
`topology` | string | Network topology. It can be: chain, circle or clique.
`weighted` | boolean | The created network must be weighted based on the number of occurrences of the connections between the vertices.
`network` | object | Network previously created to insert new data.

Source:
  - snet.maia, line 27

##### Returns:

A JSON containing the network.

Type
  object